(function (app) {
    app.factory('myService', ['$http', 'config', "util", function ($http, config, util) {
        return {
            setPassword: function (password) {
                return $http({
                    url: config.server + '/api/auth/password',
                    method: "post",
                    data: { password: password }
                })
            },
            add:function (data){
                return $http({
                    url:config.server + 'api/my/add_dream',
                    method:"post",
                    data:data
                })
            },
            recharge:function(money){
                return $http({
                    url:config.server + "api/my/recharge?coin="+money,
                    method:"post"
                })
            },
            setting:function(){
                return $http({
                    url:config.server + "api/my/setting",
                    method:"get"
                })
            },
            systemInfo:function(){
                return $http({
                    url:config.server + "api/my/system_info",
                    method:"get"
                })
            },
            replyMy:function(){
                return $http({
                    url:config.server + "api/my/reply_my",
                    method:"get"
                })
            },
            collect:function(){
                return $http({
                    url:config.server + "api/my/collection",
                    method:"get"
                })
            },
            myDream:function(){
                return $http({
                    url:config.server + "api/my/dream",
                    method:"get"
                })
            },
            myReplay:function(data){
                return $http({
                    url: config.server + '/api/my/my_reply',
                    method: "post",
                    data: data
                })
            },
            myMes:function(){
                return $http({
                    url:config.server + "api/my/persona",
                    method:"get"
                })
            },
            myInfo:function(){
              return $http({
                  url:config.server + "api/my/show",
                  method:"get"
              })
            },
            toprofile:function(){
                return $http({
                    url:config.server + "api/my/persona",
                    method:"get"
                })
            },
            myMaterial:function(){
                return $http({
                    url:config.server + "api/my/update",
                    method:"get"
                })
            },
            saveMaterial:function(data){
                return $http({
                    url:config.server + "api/my/update",
                    method:"post",
                    data:data
                })
            }
        };
    }]);
})(angular.module('app.services'));